<?php
namespace WPC\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

if (!defined('ABSPATH')) exit; // Exit if accessed directly


class Announcements extends Widget_Base{

  public function get_name(){
    return 'announcements';
  }

  public function get_title(){
    return 'Announcements';
  }

  public function get_icon(){
    return 'fa fa-handshake';
  }

  public function get_categories(){
    return ['nauthemes'];
  }

  protected function _register_controls(){

    $this->start_controls_section(
      'section_content',
      [
        'label' => 'Settings',
      ]
    );

	
	$repeater = new \Elementor\Repeater();
	
	$repeater->add_control(
		'slide_heading', [
			'label' => __( 'Slide Title', 'tabligh' ),
			'type' => \Elementor\Controls_Manager::TEXT,
			'default' => __( 'Nothing Is Impossible With Allah' , 'tabligh' ),
			'label_block' => true,
		]
	);
	
	$repeater->add_control(
		'slide_caption', [
			'label' => __( 'Slide Caption', 'tabligh' ),
			'type' => \Elementor\Controls_Manager::TEXT,
			'default' => __( 'Consectetur adipiscing elit duis volutpat ligula nulla dapibus.' , 'tabligh' ),
			'label_block' => true,
		]
	);

	$this->add_control(
		'list',
		[
			'label' => __( 'Slide List', 'tabligh' ),
			'type' => \Elementor\Controls_Manager::REPEATER,
			'fields' => $repeater->get_controls(),
			'default' => [
				[	
					'slide_heading' => __( 'Nothing Is Impossible With Allah', 'tabligh' ),
					'slide_caption' => __( 'Consectetur adipiscing elit duis volutpat ligula nulla dapibus.', 'tabligh' ),
				]
			],
			'title_field' => '{{{ slide_heading }}}',
		]
	);
	
	$this->add_control(
      'ticker-speed',
		[
			'label' => __( 'Ticker Speed', 'tabligh' ),
			'type' => \Elementor\Controls_Manager::NUMBER,
			'min' => 2500,
			'max' => 25000,
			'step' => 1000,
			'default' => 8000,
		]
    );
	

    $this->end_controls_section();
  }
  

	protected function render(){
		
		$settings = $this->get_settings_for_display();
	
		wp_enqueue_style('slick-slider',get_template_directory_uri().'/assets/css/slick.css');
		wp_enqueue_script( 'slick-slider', get_template_directory_uri() . '/assets/js/slick.min.js', array('jquery'), '1.0.0', true ); ?>
		
		<script>
		//===== Slick Carousel =====//
		jQuery(document).ready(function ($) {
			'use strict';
			if ($.isFunction($.fn.slick)) {
			//=== Featured Area Carousel ===//
			$(window).on('load', function() {
				
				$('.slick.marquee').slick({
					speed: <?php echo $settings['ticker-speed'];?>,
					autoplay: true,
					autoplaySpeed: 0,
					centerMode: true,
					cssEase: 'linear',
					slidesToShow: 1,
					slidesToScroll: 1,
					variableWidth: true,
					infinite: true,
					initialSlide: 1,
					arrows: false,
					buttons: false
				});
			});
		  }
		});		 
		</script>
		
			<section>
				<div class="w-100 position-relative">
					<div class="announcements text-center position-relative w-100">
						<div class="slick marquee">
						<?php /* List all slides */
							if ( $settings['list'] ) {
							  foreach (  $settings['list'] as $item ) { ?>
								<div class="inner">
								  <p class = "mb-0"><strong><?php echo $item['slide_heading']; ?></strong> <?php echo $item['slide_caption']; ?></p>
								</div>
							 <?php }
							} ?>
						</div>
					</div><!-- Featured Area Wrap -->
				</div>
			</section>

		<?php
	}
}